package svc

import (
	"github.com/go-playground/validator/v10"
	{{.configImport}}
	valid "user-portrait/userportrait/common/validator"
)

type ServiceContext struct {
	Config {{.config}}
	{{.middleware}}
	Validate *validator.Validate
}

func NewServiceContext(c {{.config}}) *ServiceContext {
	return &ServiceContext{
		Config: c,
		{{.middlewareAssignment}}
		Validate: valid.Validate,
	}
}
